说明:现在很多软件安装都需要Python2.7支持了,不想折腾的可以直接用Centos 7.x,自带Python2.7,很多人还在用Centos 6.x,自带Python2.6,版本太低,而又不想换系统,所以只能手动升级了。

方法

1、检查当前Python版本

python -V

检查之后,我们可以看到是Python 2.6.6版本

2、升级系统和安装开发工具包

yum -y update
yum groupinstall "Development tools" -y

3、补充安装需要的组件支持

yum install zlib-devel bzip2-devel openssl-devel ncurses-devel sqlite-devel readline-devel tk-devel -y

4、安装Python2.7.6

cd /opt
wget --no-check-certificate https://www.python.org/ftp/python/2.7.6/Python-2.7.6.tar.xz
tar xf Python-2.7.6.tar.xz
./configure --prefix=/usr/local
sudo make && sudo make altinstall

注意了,这里是用的altinstall

5、检查是否安装

/usr/local/bin/python2.7 --version

目前,我们只能通过这个命令检查,看到Python 2.7.6版本。

6、创建软链接

mv /usr/bin/python /usr/bin/python2.6.6
ln -s /usr/local/bin/python2.7 /usr/bin/python

移除原来的老版本,然后创建2.7的软链接。这样我们直接用Python -V可以看到已经是Python 2.7.6

7、修复兼容问题
另外,由于yum的依赖是python2.6,需要修改yum文件

vi /usr/bin/yum

编辑文件,在顶部修改成

#!/usr/bin/python2.6.6

保存退出!

解除宝塔面板 MySQL 安装最低内存限制

VIRMACH黑五,抢了一堆的小鸡,可是有个比较坑的地方,说是768的内存,实际上在只有744M,如果用宝塔最新版安装就会提示内存地狱768,无法安装MYSQL5.6,感谢...

阅读全文

oracle永久机刷机包(含Windows)

制作教程太繁琐等以后有时间再编辑添加,大家可以参考其它坛友的方法 暂时没找到好用的p2p文件分享方式,且想起流量不够还有300美元可用,所以暂还是用直链分...

阅读全文

一款带Web面板的轻量级、高性能内网穿透工具:nps使用教程

说明:内网穿透工具之前已经介绍了不少了,比如Frp、lanproxy、Holer等,现在再介绍个带Web面板的穿透工具nps,之前叫easyProxy,只是改名了而已,该工具是一...

阅读全文

欢迎留言